## pwd

#### OS/161 Reference Manual

### Name

pwd - print working directory

### Synopsis

`/bin/pwd`

### Description

`pwd` prints the current working directory.

### Requirements

`pwd` uses the following system calls:

- __getcwd
- write
- _exit

pwd should function properly once the basic system calls assignment is completed, except on filesystems or in directories that do not support getcwd. Note that by default emufs does not support getcwd except in its root directory.

`pwd` should function properly in all directories of your filesystem once the file system assignment is completed.